Bug 850047 - Introduce new systemd-rpm macros in bird spec file
Introduce new systemd-rpm macros in bird spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bird (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:27 EDT by Lukáš Nykrýn
Modified: 2013-11-10 02:08 EST (History)
4 users (show)

See Also:
Fixed In Version: bird-1.3.11-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:08:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch replaces scriptlets with new systemd macros (1.94 KB, patch)
2012-08-28 02:52 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:27:23 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-28 02:52:09 EDT
Created attachment 607418 [details]
Patch replaces scriptlets with new systemd macros
Comment 3 Fedora Update System 2013-10-18 11:19:44 EDT
bird-1.3.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bird-1.3.11-1.fc20
Comment 4 Fedora Update System 2013-10-18 20:14:05 EDT
Package bird-1.3.11-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bird-1.3.11-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19426/bird-1.3.11-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 02:08:48 EST
bird-1.3.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.